## python-multidict 2.0.1

=== debian/changelog ===
python-multidict (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Aug 2016 21:12:46 +0200

python-multidict (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 16:35:43 +0200

python-multidict (1.2.1-1) unstable; urgency=low

  * Initial release (closes: 832279)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 23 Jul 2016 20:22:23 +0200

## python-multidict 2.1.4

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

.install-deps: requirements-dev.txt
	pip install -U -r requirements-dev.txt
	touch .install-deps

flake: .install-deps
#	python setup.py check -rms
	flake8 multidict
	if python -c "import sys; sys.exit(sys.version_info < (3,5))"; then \
            flake8 tests; \
        fi


.develop: .install-deps $(shell find multidict -type f)
	pip install -e .
	touch .develop

rmcache:
	rm -rf tests/__pycache__


test: flake .develop rmcache
	py.test -q ./tests/

vtest: flake .develop rmcache
	py.test -s -v ./tests/

cov cover coverage:
	tox

cov-dev: .develop rmcache
	py.test --cov=multidict --cov-report=term --cov-report=html tests 
	@echo "open file://`pwd`/coverage/index.html"

cov-dev-full: .develop rmcache
	AIOHTTPMULTIDICT_NO_EXTENSIONS=1 py.test --cov=multidict --cov-append tests 
	py.test --cov=multidict --cov-report=term --cov-report=html tests 
	@echo "open file://`pwd`/coverage/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	make -C docs clean
	python setup.py clean
	rm -f multidict/_multidict.html
	rm -f multidict/_multidict.c
	rm -f multidict/_multidict.*.so
	rm -f multidict/_multidict.*.pyd
	rm -rf .tox

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	make -C docs spelling

install:
	pip install -U pip
	pip install -Ur requirements-dev.txt

wheel_x64:
	docker pull quay.io/pypa/manylinux1_x86_64
	docker run --rm -v `pwd`:/io quay.io/pypa/manylinux1_x86_64 /io/build-wheels.sh

.PHONY: all build venv flake test vtest testloop cov clean doc

=== debian/changelog ===
python-multidict (2.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:41:10 +0100

python-multidict (2.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Nov 2016 23:33:40 +0100

python-multidict (2.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Sep 2016 23:49:07 +0200

=== debian/control ===
Source: python-multidict
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all-dev, python3-all-dbg,
               python3-setuptools,
               python3-pytest,
               cython3
Standards-Version: 3.9.8
Homepage: https://github.com/aio-libs/multidict/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git

Package: python3-multidict
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: multidict implementation (Python library)
 Multidicts are useful for working with HTTP headers, URL query args etc.
 .
 HTTP Headers and URL query string require specific data structure:
 multidict. It behaves mostly like a dict but it can have
 several values for the same key.

Package: python3-multidict-dbg
Architecture: any
Depends: python3-multidict (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Priority: extra
Section: debug
Description: multidict implementation (Python library, debug extension)
 Multidicts are useful for working with HTTP headers, URL query args etc.
 .
 HTTP Headers and URL query string require specific data structure:
 multidict. It behaves mostly like a dict but it can have
 several values for the same key.
 .
 This package contains extension built for the Python 3 debug interpreter.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=multidict
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## python-multidict 3.1.3

=== Makefile ===
--- 
+++ 
@@ -20,23 +20,27 @@
 	rm -rf tests/__pycache__
 
 
-test: flake .develop rmcache
-	py.test -q ./tests/
+mypy: .develop
+	mypy multidict
 
-vtest: flake .develop rmcache
-	py.test -s -v ./tests/
+
+test: flake .develop rmcache mypy
+	pytest -q ./tests/
+
+vtest: flake .develop rmcache mypy
+	pytest -s -v ./tests/
 
 cov cover coverage:
 	tox
 
-cov-dev: .develop rmcache
-	py.test --cov=multidict --cov-report=term --cov-report=html tests 
-	@echo "open file://`pwd`/coverage/index.html"
+cov-dev: .develop rmcache mypy
+	pytest --cov=multidict --cov-report=term --cov-report=html tests 
+	@echo "open file://`pwd`/htmlcov/index.html"
 
-cov-dev-full: .develop rmcache
-	AIOHTTPMULTIDICT_NO_EXTENSIONS=1 py.test --cov=multidict --cov-append tests 
-	py.test --cov=multidict --cov-report=term --cov-report=html tests 
-	@echo "open file://`pwd`/coverage/index.html"
+cov-dev-full: .develop rmcache mypy
+	AIOHTTPMULTIDICT_NO_EXTENSIONS=1 pytest --cov=multidict --cov-append tests 
+	pytest --cov=multidict --cov-report=term --cov-report=html tests 
+	@echo "open file://`pwd`/htmlcov/index.html"
 
 clean:
 	rm -rf `find . -name __pycache__`
@@ -51,13 +55,15 @@
 	rm -rf coverage
 	rm -rf build
 	rm -rf cover
-	make -C docs clean
-	python setup.py clean
+	make -C docs clean SPHINXBUILD=false
+	python3 setup.py clean
 	rm -f multidict/_multidict.html
 	rm -f multidict/_multidict.c
 	rm -f multidict/_multidict.*.so
 	rm -f multidict/_multidict.*.pyd
 	rm -rf .tox
+	rm .install-deps
+	rm .develop
 
 doc:
 	make -C docs html

=== debian/changelog ===
python-multidict (3.1.3-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:47 +0000

python-multidict (3.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 18 Jul 2017 08:23:18 +0200

python-multidict (3.1.1-1) unstable; urgency=medium

  * New upstream release
    - add python3-psutil to Build-Depends
  * disable tests for Python 3.X-dbg (due to missing psutil extension)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 12 Jul 2017 18:31:07 +0200

python-multidict (3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 27 Jun 2017 21:02:46 +0200

python-multidict (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 19:46:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                python3-all-dev, python3-all-dbg,
                python3-setuptools,
                python3-pytest,
+               python3-psutil,
                cython3
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git

## python-multidict 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # Some simple testing tasks (sorry, UNIX only).
 
-.install-deps: requirements-dev.txt
-	pip install -U -r requirements-dev.txt
+all: test
+
+.install-deps: $(shell find requirements -type f)
+	pip install -U -r requirements/dev.txt
 	touch .install-deps
 
 flake: .install-deps
@@ -21,7 +23,9 @@
 
 
 mypy: .develop
-	mypy multidict
+	if python -c "import sys; sys.exit(sys.implementation.name != 'cpython')"; then \
+	    mypy multidict tests/test_mypy.py; \
+	fi
 
 
 test: flake .develop rmcache mypy
@@ -61,9 +65,11 @@
 	rm -f multidict/_multidict.c
 	rm -f multidict/_multidict.*.so
 	rm -f multidict/_multidict.*.pyd
+	rm -f multidict/_istr.*.so
+	rm -f multidict/_istr.*.pyd
 	rm -rf .tox
-	rm .install-deps
-	rm .develop
+	rm -f .install-deps
+	rm -f .develop
 
 doc:
 	make -C docs html
@@ -74,7 +80,7 @@
 
 install:
 	pip install -U pip
-	pip install -Ur requirements-dev.txt
+	pip install -Ur requirements/dev.txt
 
 wheel_x64:
 	docker pull quay.io/pypa/manylinux1_x86_64

=== debian/changelog ===
python-multidict (4.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Feb 2018 21:10:19 +0100

python-multidict (3.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 13 Nov 2017 21:39:28 +0100

python-multidict (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Sep 2017 11:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-psutil,
                cython3
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
@@ -27,7 +27,6 @@
 Package: python3-multidict-dbg
 Architecture: any
 Depends: python3-multidict (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Priority: extra
 Section: debug
 Description: multidict implementation (Python library, debug extension)
  Multidicts are useful for working with HTTP headers, URL query args etc.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 export PYBUILD_NAME=multidict
+export PYBUILD_DISABLE=test/python3-dbg
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-multidict 4.3.1

=== debian/changelog ===
python-multidict (4.3.1-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:37:03 +0000

python-multidict (4.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 13:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                cython3
 Standards-Version: 4.1.1
 Homepage: https://github.com/aio-libs/multidict/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-multidict.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-multidict.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-multidict
 
 Package: python3-multidict
 Architecture: any

## python-multidict 4.5.2

=== debian/changelog ===
python-multidict (4.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Dec 2018 21:20:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-psutil,
                cython3
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-multidict.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-multidict

## python-multidict 4.7.3

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).
.PHONY: all build flake test vtest cov clean doc mypy


PYXS = $(wildcard multidict/*.pyx)
SRC = multidict tests setup.py

all: test

.install-deps: $(shell find requirements -type f)
	pip install -r requirements/dev.txt
	@touch .install-deps

.flake: .install-deps $(shell find multidict -type f) \
                      $(shell find tests -type f)
	flake8 multidict tests
	@if ! isort -c -rc multidict tests; then \
            echo "Import sort errors, run 'make fmt' to fix them!!!"; \
            isort --diff -rc multidict tests; \
            false; \
	fi
	@touch .flake


isort-check:
	@if ! isort -c -rc $(SRC); then \
            echo "Import sort errors, run 'make fmt' to fix them!!!"; \
            isort --diff -c -rc $(SRC); \
            false; \
	fi

flake8:
	flake8 $(SRC)

black-check:
	@if ! isort -c -rc $(SRC); then \
            echo "black errors, run 'make fmt' to fix them!!!"; \
	    black -t py35 --diff --check $(SRC); \
            false; \
	fi

mypy:
	mypy multidict tests

lint: flake8 black-check mypy isort-check

fmt:
	black -t py35 $(SRC)
	isort -rc $(SRC)

check_changes:
	./tools/check_changes.py

.develop: .install-deps $(shell find multidict -type f) .flake check_changes mypy
	pip install -e .
	@touch .develop

test: .develop
	@pytest -q

vtest: .develop
	@pytest -s -v

cov-dev: .develop
	@pytest --cov-report=html
	@echo "open file://`pwd`/htmlcov/index.html"

cov-ci-run: .develop
	@echo "Regular run"
	@pytest --cov-report=html

cov-dev-full: cov-ci-run
	@echo "open file://`pwd`/htmlcov/index.html"

doc:
	@make -C docs html SPHINXOPTS="-W -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W -E"

install:
	@pip install -U 'pip'
	@pip install -Ur requirements/dev.txt

install-dev: .develop


clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	rm -rf htmlcov
	make -C docs clean SPHINXBUILD=false
	python3 setup.py clean
	rm -f multidict/*.html
	rm -f multidict/*.so
	rm -f multidict/*.pyd
	rm -rf .tox

=== debian/changelog ===
python-multidict (4.7.3-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:30 +0100

python-multidict (4.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 31 Dec 2019 17:43:33 +0100

python-multidict (4.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Dandrimont ]
  * New upstream release
    - Add support for Python3.8 (Closes: #943615)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 23 Nov 2019 11:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
                python3-all-dev, python3-all-dbg,
                python3-setuptools,
                python3-pytest,
                python3-psutil,
                cython3
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-multidict.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-multidict

## python-multidict 4.7.6

=== debian/changelog ===
python-multidict (4.7.6-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 May 2020 09:27:22 +0200

python-multidict (4.7.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 13:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-psutil,
                cython3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-multidict.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-multidict

## python-multidict 5.1.0

=== debian/changelog ===
python-multidict (5.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-multidict-dbg: Add Multi-Arch: same.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 18:06:46 +0100

python-multidict (5.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Nov 2020 21:47:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all-dev, python3-all-dbg,
                python3-setuptools,
                python3-pytest,
@@ -11,8 +11,8 @@
                cython3
 Standards-Version: 4.5.0
 Homepage: https://github.com/aio-libs/multidict/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-multidict.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-multidict
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-multidict.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multidict
 
 Package: python3-multidict
 Architecture: any
@@ -28,6 +28,7 @@
 Architecture: any
 Depends: python3-multidict (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Section: debug
+Multi-Arch: same
 Description: multidict implementation (Python library, debug extension)
  Multidicts are useful for working with HTTP headers, URL query args etc.
  .

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export PYBUILD_NAME=multidict
 export PYBUILD_DISABLE=test/python3-dbg
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-multidict 6.0.4

=== Makefile ===
--- 
+++ 
@@ -12,41 +12,41 @@
 	@touch .install-deps
 
 .flake: .install-deps $(shell find multidict -type f) \
-                      $(shell find tests -type f)
+		      $(shell find tests -type f)
 	flake8 multidict tests
-	@if ! isort -c -rc multidict tests; then \
-            echo "Import sort errors, run 'make fmt' to fix them!!!"; \
-            isort --diff -rc multidict tests; \
-            false; \
+	@if ! isort --check multidict tests; then \
+	    echo "Import sort errors, run 'make fmt' to fix them!!!"; \
+	    isort --diff --check multidict tests; \
+	    false; \
 	fi
 	@touch .flake
 
 
 isort-check:
-	@if ! isort -c -rc $(SRC); then \
-            echo "Import sort errors, run 'make fmt' to fix them!!!"; \
-            isort --diff -c -rc $(SRC); \
-            false; \
+	@if ! isort --check $(SRC); then \
+	    echo "Import sort errors, run 'make fmt' to fix them!!!"; \
+	    isort --diff --check $(SRC); \
+	    false; \
 	fi
 
 flake8:
 	flake8 $(SRC)
 
 black-check:
-	@if ! isort -c -rc $(SRC); then \
-            echo "black errors, run 'make fmt' to fix them!!!"; \
+	@if ! isort --check $(SRC); then \
+	    echo "black errors, run 'make fmt' to fix them!!!"; \
 	    black -t py35 --diff --check $(SRC); \
-            false; \
+	    false; \
 	fi
 
 mypy:
-	mypy multidict tests
+	mypy
 
-lint: flake8 black-check mypy isort-check
+lint: mypy flake8 black-check isort-check check_changes
 
 fmt:
 	black -t py35 $(SRC)
-	isort -rc $(SRC)
+	isort $(SRC)
 
 check_changes:
 	./tools/check_changes.py

=== debian/changelog ===
python-multidict (6.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 25 Dec 2022 22:39:53 +0100

python-multidict (6.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2022 13:00:57 +0100

python-multidict (6.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 04 Nov 2022 16:09:31 +0100

python-multidict (5.1.0-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * Drop -dbg package; Closes: #994362

  [ Laurent Bigonville ]
  * debian/control: Remove python3-psutil BD, not needed anymore

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 15:30:44 -0400

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=multidict

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-multidict 6.0.5

=== debian/changelog ===
python-multidict (6.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix build failures with GCC 14 (closes: #1075418).
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Aug 2024 12:34:26 +0100

python-multidict (6.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pull upstream patches for Python 3.12 compatibility. Closes: #1055717.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Jan 2024 12:13:23 +0100

## python-multidict 6.1.0

=== debian/changelog ===
python-multidict (6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Sep 2024 13:25:27 +0100

=== debian/control ===
Source: python-multidict
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-setuptools,
               python3-pytest,
               cython3
Standards-Version: 4.5.0
Homepage: https://github.com/aio-libs/multidict/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-multidict.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multidict
Testsuite: autopkgtest-pkg-pybuild

Package: python3-multidict
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: multidict implementation (Python library)
 Multidicts are useful for working with HTTP headers, URL query args etc.
 .
 HTTP Headers and URL query string require specific data structure:
 multidict. It behaves mostly like a dict but it can have
 several values for the same key.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 include /usr/share/dpkg/buildflags.mk
 
 export PYBUILD_NAME=multidict
+ifneq ($(PYBUILD_AUTOPKGTEST),1)
+# These tests use isolated mode (-I), so they only work when the package is
+# installed.
+export PYBUILD_TEST_ARGS = -k 'not test_circular_imports'
+endif
+export PYBUILD_AFTER_TEST = rm -f {build_dir}/junit-test-results.xml
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-multidict 6.2.0

=== debian/changelog ===
python-multidict (6.2.0-2) unstable; urgency=medium

  * Team upload.
  * Remove pytest-codspeed again; it's only available on some architectures.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Mar 2025 22:25:04 +0000

python-multidict (6.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Piotr Ożarowski ]
  * Generate temporary pickles used during tests

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 17:54:34 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
+               cython3,
+# tests:
                python3-pytest,
-               cython3
+               python3-pytest-cov,
 Standards-Version: 4.5.0
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-multidict.git

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,14 @@
 include /usr/share/dpkg/buildflags.mk
 
 export PYBUILD_NAME=multidict
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} && cd {build_dir}/tests/ && {interpreter} ./gen_pickles.py
+# pytest-codspeed is only available on some architectures, and we don't
+# really need to run benchmarks.
+export PYBUILD_TEST_ARGS := --ignore tests/test_multidict_benchmarks.py
 ifneq ($(PYBUILD_AUTOPKGTEST),1)
 # These tests use isolated mode (-I), so they only work when the package is
 # installed.
-export PYBUILD_TEST_ARGS = -k 'not test_circular_imports'
+PYBUILD_TEST_ARGS += --deselect tests/test_circular_imports.py
 endif
 export PYBUILD_AFTER_TEST = rm -f {build_dir}/junit-test-results.xml

## python-multidict 6.3.2

=== debian/changelog ===
python-multidict (6.3.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-objgraph to Build-Depends (used in tests)
  * Add test_views_benchmarks.py to ignored tests (missing pytest-codspeed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 13:17:30 +0200

## python-multidict 6.4.3

=== debian/changelog ===
python-multidict (6.4.3-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:48:01 +0000

python-multidict (6.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Apr 2025 11:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # tests:
                python3-pytest,
                python3-pytest-cov,
+               python3-objgraph,
 Standards-Version: 4.5.0
 Homepage: https://github.com/aio-libs/multidict/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-multidict.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} && cd {build_dir}/tests/ && {interpreter} ./gen_pickles.py
 # pytest-codspeed is only available on some architectures, and we don't
 # really need to run benchmarks.
-export PYBUILD_TEST_ARGS := --ignore tests/test_multidict_benchmarks.py
+export PYBUILD_TEST_ARGS := --ignore tests/test_multidict_benchmarks.py --ignore tests/test_views_benchmarks.py
 ifneq ($(PYBUILD_AUTOPKGTEST),1)
 # These tests use isolated mode (-I), so they only work when the package is
 # installed.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/multidict/multidict-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
